## dpkg-ftp 1.4.9.6

=== Makefile ===
prefix=

method_files = install setup update
desc_files = desc.ftp names

do_install:
	install -d -m755 $(prefix)/usr/doc/dpkg-ftp
	install -m644 debian/copyright $(prefix)/usr/doc/dpkg-ftp/copyright
	gzip -9c debian/changelog > $(prefix)/usr/doc/dpkg-ftp/changelog.gz
	install -m644 BUGS $(prefix)/usr/doc/dpkg-ftp/

	install -d -m755 $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 755 $(method_files) $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 644 $(desc_files) $(prefix)/usr/lib/dpkg/methods/ftp

	install -d -m755 $(prefix)/usr/lib/perl5/Debian
	install -m644 DpkgFtp.pm $(prefix)/usr/lib/perl5/Debian/

	install -d -m755 $(prefix)/var/lib/dpkg/methods/ftp/

## dpkg-ftp 1.4.8

=== debian/changelog ===
dpkg-ftp (1.4.8) unstable frozen; urgency=low

  * create debian dir in the correct place (bug#5686)
  * Added file download size message

 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Tue, 3 Dec 1996 23:02:10 -0700

dpkg-ftp (1.4.7) unstable frozen; urgency=low

  * Fixed typo in setup (Bug#5421)
  * Changed prompt for deleting installed files (Bug#5445)
  * Added changelog to doc dir.
  * Fixed bug during package checking phase for non-default download dirs,
    and deleting replaced files
  * Check for trailing '/' on download dir (and remove it)
  * Fixed copyright message (no-longer includes Net::FTP)
  
 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Fri, 15 Nov 1996 22:30:34 -0700

dpkg-ftp (1.4.6) unstable frozen; urgency=low

  * Fixed: packages in status config-files not being downloaded (Bug#4955)
  * Added calc for free space after giving user a chance to free some up
    and fixed problem of still downloading even if unwanted because of
    free space (Bug#4971) 
  * Fixed bug that causes warning messages from the new version of perl (Bug#5232,Bug#5290)
  * Changed prompt for password & fixed perms on dir (Guy's email msg)
  * Create download dir if needed (Bug#5323)
  * Modified update method to use clear-avail (Bug#5356)
  * Added message warning user that the order of distributions is
    important (Bug#4860)

 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Tue, 12 Nov 1996 13:53:10 -0700

dpkg-ftp (1.4.5) unstable; urgency=low

  * Optionally use passive mode connection
  * Fixed mode for ./debian dir (4722)

 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Tue, 8 Oct 1996 15:57:14 -0600

dpkg-ftp (1.4.4) unstable; urgency=high

  * Default value for download directory for install phase (4480)

 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Thu, 12 Sep 1996 13:48:25 -0600

dpkg-ftp (1.4.3) unstable; urgency=low
  
  * Checks disk space
  * No longer connects if nothing to download (4241)
  * Uses new source packaging 

 -- Andy W.P. Guy <andy@frodo.nx.cpsc.ucalgary.ca>  Mon, 9 Sep 1996 13:15:37 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dpkg-ftp
Section: net
Priority: optional
Maintainer: Andy W.P. Guy <awpguy@acs.ucalgary.ca>
Standards-Version: 2.1.0.0

Package: dpkg-ftp
Architecture: all
Depends: perl, dpkg (>=1.2.0), libnet
Description: Ftp method for dselect.
 This package provides another method to dselect that uses 
 the ftp protcol to fetch the desired packages from a debian 
 ftp site.  To access it select 'ftp' from the Access menu in 
 dselect.

=== debian/rules ===
#!/usr/bin/make -f

package=dpkg-ftp
method_files= desc.ftp install names setup update

CFLAGS=-shared -O2
DIR:=$(shell pwd)

build:	
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf debian/tmp debian/*~ *~ *.orig ./#*# debian/files*

binary-indep:	checkroot build 
	$(checkdir)
	-rm -rf debian/tmp
	mkdir debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/dpkg-ftp
	cp debian/copyright debian/tmp/usr/doc/dpkg-ftp/copyright
	cp debian/changelog debian/tmp/usr/doc/dpkg-ftp/changelog.Debian
	gzip debian/tmp/usr/doc/dpkg-ftp/changelog.Debian
	install -d debian/tmp/var/lib/dpkg/methods/ftp
	install -d debian/tmp/usr/lib/dpkg/methods/ftp
	cp $(method_files) debian/tmp/usr/lib/dpkg/methods/ftp
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

binary: binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean checkroot

## dpkg-ftp 1.4.9

=== debian/changelog ===
dpkg-ftp (1.4.9) stable unstable; urgency=low

  * Fixed regexp for "Clear available list" question (fixes bug #6210, #10174).
  * Fixed regexp for "passive mode selection" question (fixes bug #7811).
  * Changed "dpkg --print-architecture" to 
    "dpkg --print-installation-architecture" 
    so dpkg-ftp can still work even if gcc isn't installed 
    (fixes bug #8046, #9089, #9690, #10960).
  * Added missing tr/\//_/ in install script. 
    (fixes bug #8762, #8867, #9150, #10193, #10792, #10937)
  * Did s/couldn't/could not/ and s/you're/you are/.
  * Changed maintainer field to point to dpkg-ftp's new maintainer.

 -- Christian Hudon <chrish@debian.org>  Sat, 12 Jul 1997 23:50:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg-ftp
 Section: net
 Priority: optional
-Maintainer: Andy W.P. Guy <awpguy@acs.ucalgary.ca>
+Maintainer: Klee Dienes <klee@debian.org>
 Standards-Version: 2.1.0.0
 
 Package: dpkg-ftp

## dpkg-ftp 1.4.9.6

=== debian/changelog ===
dpkg-ftp (1.4.9.6) frozen unstable; urgency=low

  * Non-maintainer release.
  * Removed dependency on perl - only needs perl-base, which is
    essential (Fixes: Bug#21691).
  * Install changelog as changelog.gz, not changelog.Debian.gz.
  * Compress changelog with -9.
  * Updated standards-version to 2.4.1.
  * Passed lintian 0.4.2.

 -- Yann Dirson <dirson@debian.org>  Mon, 27 Apr 1998 11:42:43 +0200

dpkg-ftp (1.4.9.5) frozen unstable; urgency=low
  
  * Non-maintainer release.
  * Fixed typo in DpkfFtp.pm - April is "Apr", not "Avr" (Fixes:
    Bug#20797).

 -- Yann Dirson <dirson@debian.org>  Wed,  8 Apr 1998 18:06:44 +0200

dpkg-ftp (1.4.9.4) frozen unstable; urgency=low
  
  * Non-maintainer release.
  * Fixed stupid mistake done in fixing Bug#18805 in 1.4.9.3 ('2>&1'
    should have been '2>&1 >').

 -- Yann Dirson <dirson@debian.org>  Sat, 28 Mar 1998 17:50:38 +0100

dpkg-ftp (1.4.9.3) frozen unstable; urgency=low
  
  * Non-maintainer release.
  * Install /var/lib/dpkg/methods/ftp/ (Fixes: Bug#19651).
  * Replaced '&>' bashism with '2>&1' (Fixes: Bug#18805).
  * Removed '#!' magic from DpkgFtp.pm.
  * Updated FSF address.
  * Fixed typo in description.
  * Do not make executable description files under usr/lib/dpkg/.
  * Passed lintian 0.3.4.

 -- Yann Dirson <dirson@debian.org>  Thu, 26 Mar 1998 00:41:06 +0100

dpkg-ftp (1.4.9.2) unstable; urgency=low
  
  * Non-maintainer release.
  * Added comments about non-us in setup script.
  * Support for firewalls refusing MDTM with code 500 (Bernd Feige
    <charly@pst15.ukl.uni-freiburg.de>).

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Feb 1998 14:42:27 +0100

dpkg-ftp (1.4.9.1) unstable; urgency=low

  * Non-maintainer release.
  * Added check on Packages files' date (mdtm) to prevent retrievial of
    already up-to-date files (Fixes: Bug#6018, Bug#8144, Bug#9276).
  * Added support for un-sectionned distributions (eg. `experimental')
    (Fixes: Bug#8598, Bug#15334).
  * Corrected guess for available space on disk when partition name is
    too long (eg. NFS, pb reported by Todd T. Fries to Christian Hudon).
  * Switched dependencies to 'libnet-perl' (starting from 'hamm'),
    because the mdtm bug is fixed now.
  * Added the ability of retrying a download just after one aborted,
    without losing time re-reading all those files.
  * Added to ability of continuing an interrupted Packages.gz
    download (there was no error handling there !).
  * SECURITY: Made vars file 0600 because of possible unencoded
    passwords in it.
  * Corrected computation of total size related to partial files.
  * Improved info display for partial files.
  * Install new BUGS file in doc dir.
  * Changed default ftp dir to "/pub/debian/dists", default distribs
    to "stable/main stable/non-free stable/contrib".
  * Factorized some code into Debian::DpkgFtp.
  * Added a Makefile (make do_install) to simplify local installs for
    tests.
  * First try at supporting authenticated FTP proxies (thanks to Jason
    Gunthorpe <jgg@gpu.srv.ualberta.ca> for guidelines).
  * Don't run "dpkg --*-avail" if no Packages files was updated.
  * Removed support for un-gzipped Packages files, which just
    cluttered "install" uselessly.
  * Several cosmetic changes in output messages.
  
 -- Yann Dirson <dirson@debian.org>  Sun, 15 Feb 1998 21:09:58 +0100

=== debian/control ===
Source: dpkg-ftp
Section: net
Priority: optional
Maintainer: Klee Dienes <klee@debian.org>
Standards-Version: 2.4.1

Package: dpkg-ftp
Architecture: all
Depends: dpkg (>=1.2.0), libnet-perl
Description: Ftp method for dselect.
 This package provides another method to dselect that uses 
 the ftp protocol to fetch the desired packages from a debian 
 ftp site.  To access it select 'ftp' from the Access menu in 
 dselect.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package=dpkg-ftp

CFLAGS=-shared -O2
DIR:=$(shell pwd)

build:	
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf debian/tmp debian/*~ *~ *.orig ./#*# debian/files*

binary-indep:	checkroot build 
	$(checkdir)
	-rm -rf debian/tmp
	mkdir debian/tmp debian/tmp/DEBIAN
	make do_install prefix=debian/tmp
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

binary: binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean checkroot

## dpkg-ftp 1.4.10

=== debian/changelog ===
dpkg-ftp (1.4.10) frozen unstable; urgency=low

  * There's no new code in order to get into frozen. 
  * Passed lintian 0.9.4 
  * Guesses an email in the right way. Closes #9214
  * Corrected typo in desc.ftp. Closes #21023 #21953
  * Closed bugs that have been already fixed by numerous (and old) NMUs.
    - the tr/\//_/ translation 
      Closes #6861 #8762 #8867 #9150 #10193 #10792 #10937 #13572
    - the yes/no problem
      Closes #6210 #7413 #7811 #10174 #23465
    - the s/print-architecture/print-installation-architecture/ problem
      Closes #8046 #9089 #9690 #10960
    - the old broken sources problem
      Closes #7549 #7661
    - package time comparison
      Closes #8554 #8144 #6018 #9276
    - bashism
      Closes #15636 #18805 #10720
    - bad parse of df output if long filesystem name (eg nfs one)
      Closes #9090 #24160
    - others details
      Closes #21691 #15334 #8598 #13598 #13892 #16091
  * New maintainer.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Sat, 26 Dec 1998 17:38:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg-ftp
 Section: net
 Priority: optional
-Maintainer: Klee Dienes <klee@debian.org>
+Maintainer: Raphael Hertzog <rhertzog@hrnet.fr>
 Standards-Version: 2.4.1
 
 Package: dpkg-ftp

## dpkg-ftp 1.6.7

=== debian/changelog ===
dpkg-ftp (1.6.7) unstable; urgency=low

  * The passwd was ignored (it worked if pass was equal to "?").
    Closes: #47687
  * Section is now admin (dpkg-ftp is no longer included in the base
    system provided by the boot-floppies). 

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  4 Nov 1999 19:06:06 +0100

dpkg-ftp (1.6.6) unstable; urgency=low

  * Updated README.mirrors.txt. Closes: #45434 

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 29 Sep 1999 19:57:17 +0200

dpkg-ftp (1.6.5) unstable; urgency=low

  * Remove trailing slashes from the user input ... possibly
    closes: #42495
  * Completed FHS compliance. Converted to debhelper to manage
    smoothly the transition period.

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  9 Sep 1999 11:24:18 +0200

dpkg-ftp (1.6.4) unstable; urgency=low

  * If the vars file cannot be found, ask the user to launch the
    access step.
  * Try to convert the vars file at upgrade. Closes: #40866
  * Policy 3.0.0 compliant.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue,  6 Jul 1999 22:15:43 +0200

dpkg-ftp (1.6.3) unstable; urgency=low

  * When looking for another version of the same package, download
    it under the new filename instead of the old one. Otherwise the
    file will not match the md5sum of the Packages file and it will
    be deleted. Closes: #33816

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 24 Feb 1999 21:32:42 +0100

dpkg-ftp (1.6.2) unstable; urgency=low

  * Make it perl5.005 compliant (ie added a use lib call so that perl5.005
    will still find the DpkgFtp module).

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 10 Feb 1999 00:26:18 +0100

dpkg-ftp (1.6.1) unstable; urgency=low

  * Does offer to retry download on a FTP timeout. Closes: #32275
  * Remove the old vars file in the postinst => force a
    new configuration (vars file format did change).

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri, 22 Jan 1999 23:40:59 +0100

dpkg-ftp (1.6.0) unstable; urgency=low

  * Works if the download directory is a symlink. Closes: #19164
  * When printing file size, use bytes, kilo-bytes or megabytes depending
    on the size. Closes: #15328
  * Pay special attention if dist begins with (../)+. Closes: #21523
  * Added an helper text if update fails without finding a Package
    file. Closes: #8342
  * Propose to show README.mirrors before configuring. Closes: #8743
  * Handle properly the installation of predependent packages
    with dpkg --predep-package feature. Closes: #8660
  * If a package is unavailable, then try to look for another version
    of the package in the same directory. Closes: #9797
  * Store md5sums to avoid recalculating them next time. Closes: #10218
  * Close the FTP connection when aborting download. 
    Closes: #24805 #25192 (perhaps also #24773 assigned to netbase)
  * Merged dpkg-multiftp (wich was adapted from dpkg-ftp by Martin Schulze)
    in dpkg-ftp. Closes: #5662 
  * Updated the control file to match the informations in the
    overrides file.
  * Corrected the "dir" guess in install script (sub prcfile and
    removeinstalled).

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue,  5 Jan 1999 22:14:45 +0100

=== debian/control ===
Source: dpkg-ftp
Section: admin
Priority: standard
Maintainer: Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.0.1

Package: dpkg-ftp
Architecture: all
Depends: dpkg (>=1.2.0), libnet-perl, perl-5.005 | data-dumper
Description: Ftp method for dselect.
 This package provides another method to dselect that uses 
 the ftp protocol to fetch the desired packages from a debian 
 ftp site. To access it select 'ftp' from the Access menu in 
 dselect.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package=dpkg-ftp

CFLAGS=-shared -O2
DIR:=$(shell pwd)

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-indep:
	dh_testdir
	dh_testroot	
	dh_testversion 2.0.40
	
	make do_install prefix=debian/tmp

	dh_installdocs README.mirrors.txt BUGS
	#dh_installexamples
	#dh_installmenu
	dh_installmanpages
	#dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: 
# Nothing arch-dependant

binary: binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean checkroot

## dpkg-ftp 1.6.10

=== Makefile ===
prefix=

method_files = install setup update
desc_files = desc.ftp names

do_install:
	install -d -m755 $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 755 $(method_files) $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 644 $(desc_files) $(prefix)/usr/lib/dpkg/methods/ftp

	install -d -m755 $(prefix)/usr/lib/perl5/Debian
	install -m644 DpkgFtp.pm $(prefix)/usr/lib/perl5/Debian/

	install -d -m755 $(prefix)/var/lib/dpkg/methods/ftp/

=== debian/changelog ===
dpkg-ftp (1.6.10) unstable; urgency=low

  * Sometimes I feel dumb. I didn't even check if the modification
    was ok. Hopefully I'll have it right this time. Closes: #113008

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 21 Sep 2001 10:42:37 +0200

dpkg-ftp (1.6.9) unstable; urgency=low

  * Fixed a problem in a regex when "+" was part of the package name
    (like libstdc++).

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 15 Sep 2001 15:00:02 +0200

dpkg-ftp (1.6.8) unstable; urgency=low

  * Updated to latest policy. Now depends on perl5 and conflicts with a
    too old perl.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 26 Dec 2000 18:44:54 +0100

=== debian/control ===
Source: dpkg-ftp
Section: admin
Priority: standard
Maintainer: Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.2.1
Build-Depends: debhelper

Package: dpkg-ftp
Architecture: all
Depends: libnet-perl, perl (>= 5.5)
Description: Ftp method for dselect.
 This package provides another method to dselect that uses 
 the ftp protocol to fetch the desired packages from a debian 
 ftp site. To access it select 'ftp' from the Access menu in 
 dselect.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DH_COMPAT=2
 
 package=dpkg-ftp
 
@@ -14,9 +16,9 @@
 binary-indep:
 	dh_testdir
 	dh_testroot	
-	dh_testversion 2.0.40
+	#dh_testversion
 	
-	make do_install prefix=debian/tmp
+	make do_install prefix=debian/dpkg-ftp
 
 	dh_installdocs README.mirrors.txt BUGS
 	#dh_installexamples

## dpkg-ftp 1.6.11

=== debian/changelog ===
dpkg-ftp (1.6.11) unstable; urgency=low

  * Many little changes for Policy 3.6.2 compliance.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 21 Aug 2005 14:55:47 +0200

=== debian/control ===
Source: dpkg-ftp
Section: admin
Priority: standard
Maintainer: Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4)

Package: dpkg-ftp
Architecture: all
Depends: ${perl:Depends}, libnet-perl
Description: Ftp method for dselect
 This package provides another method to dselect that uses 
 the ftp protocol to fetch the desired packages from a debian 
 ftp site. To access it select 'ftp' from the Access menu in 
 dselect.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DH_COMPAT=2
-
 package=dpkg-ftp
 
-CFLAGS=-shared -O2
+CFLAGS=-g -shared -O2
 DIR:=$(shell pwd)
 
 clean:
@@ -20,16 +18,14 @@
 	
 	make do_install prefix=debian/dpkg-ftp
 
-	dh_installdocs README.mirrors.txt BUGS
-	#dh_installexamples
-	#dh_installmenu
-	dh_installmanpages
-	#dh_undocumented
+	dh_installdocs README.mirrors.txt
+	dh_installman
 	dh_installchangelogs 
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
+	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## dpkg-ftp 1.6.12

=== Makefile ===
prefix=

method_files = install setup update
desc_files = desc.ftp names

do_install:
	install -d -m755 $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 755 $(method_files) $(prefix)/usr/lib/dpkg/methods/ftp
	install -m 644 $(desc_files) $(prefix)/usr/lib/dpkg/methods/ftp

	install -d -m755 $(prefix)/usr/share/perl5/Debian
	install -m644 DpkgFtp.pm $(prefix)/usr/share/perl5/Debian/

	install -d -m755 $(prefix)/var/lib/dpkg/methods/ftp/

=== debian/changelog ===
dpkg-ftp (1.6.12) unstable; urgency=low

  * Fix override disparity. Priority is now optional.
  * Update copyright notice (converted into UTF-8).
  * Add an empty "build" target to debian/rules. Closes: #395776

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 31 Oct 2006 09:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dpkg-ftp
 Section: admin
-Priority: standard
+Priority: optional
 Maintainer: Raphael Hertzog <hertzog@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends: debhelper (>= 4)
 
 Package: dpkg-ftp

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
+
+# Nothing to build
+build:
 
 binary-indep:
 	dh_testdir
